#!/bin/bash

for f in */*.apk ; do
	file=$(basename $f)
	cd $(dirname $f)
	shatype=(1 256 512)
	for i in "${shatype[@]}" ; do
		echo "Generating SHA${i} checksum for ${file}..."
		shasum -a "$i" "$file" > "${file::-4}.sha${i}"
	done
	echo "Generating MD5 checksum for ${file}..."
	md5sum $file > "${file::-4}.md5"
	echo "Generating CRC32 checksum for ${file}..."
	cksfv -b -c $file > "${file::-4}.sfv"
	cd ..
done
